{
  "type" : "record",
  "name" : "RequestDetails",
  "namespace" : "org.gel.models.cva.avro",
  "doc" : "Details about the transaction sender",
  "fields" : [ {
    "name" : "ip",
    "type" : [ "null", "string" ],
    "doc" : "IP address"
  }, {
    "name" : "host",
    "type" : [ "null", "string" ],
    "doc" : "Hostname"
  }, {
    "name" : "port",
    "type" : [ "null", "int" ],
    "doc" : "Port"
  }, {
    "name" : "user",
    "type" : [ "null", "string" ],
    "doc" : "User"
  }, {
    "name" : "uri",
    "type" : [ "null", "string" ],
    "doc" : "URI"
  }, {
    "name" : "url",
    "type" : [ "null", "string" ],
    "doc" : "URL"
  }, {
    "name" : "authType",
    "type" : [ "null", "string" ],
    "doc" : "Authentication type"
  } ]
}
